libgcrypt before version 1.7.8 is vulnerable to a cache side-channel attack resulting into a complete break of RSA-1024 while using the left-to-right method for computing the sliding-window expansion. The same attack is believed to work on RSA-2048 with moderately more computation. This side-channel requires that attacker can run arbitrary software on the hardware where the private RSA key is used.
Published 2018-07-26 13:29:00
Updated 2019-10-09 23:29:42
Source Red Hat, Inc.
View at NVD,   CVE.org
Vulnerability category: Information leak

Exploit prediction scoring system (EPSS) score for CVE-2017-7526

0.38%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 72 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2017-7526

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
4.3
MEDIUM AV:N/AC:M/Au:N/C:P/I:N/A:N
8.6
2.9
NIST
6.8
MEDIUM CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N
2.2
4.0
NIST
6.1
MEDIUM CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:N/A:N
1.6
4.0
Red Hat, Inc.

CWE ids for CVE-2017-7526

References for CVE-2017-7526

Products affected by CVE-2017-7526

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!